<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>Sistema Mesa de Partes Virtual</title>
  <link rel="icon" href="Vista/img/logo_ico.png" type="image/x-icon">
  <!-- Font Awesome Icons -->
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/fontawesome-free/css/all.min.css">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/select2/css/select2.min.css">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="Vista/_Plantilla/dist/css/adminlte.min.css">
  <!-- Google Font: Source Sans Pro -->
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  <link rel="stylesheet" href="Vista/_Plantilla/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
</head>
<body class="hold-transition sidebar-collapse layout-top-nav">
<div class="wrapper">
  <nav class="main-header navbar navbar-expand-md navbar-light navbar-white">
    <div class="container">
      <a href="tramite_nuevo.php" class="navbar-brand">
        <img src="Vista/img/muninapo.png" style="width: 100px;height: 40px;" alt="Logo" 
             style="opacity: .8">
        <span class="brand-text font-weight-light" style="font-weight: bold !important;">MUNICIPALIDAD DISTRITAL DEL NAPO</span>
      </a>
      
    </div>
  </nav>
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container">
        <div class="row mb-1">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark">MESA DE PARTES VIRTUAL<small></small></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="float-sm-right">
                <button class="btn btn-success btn-sm" style="width: 100%;"><a href="./Vista/documento/archivo/Manual_Usuario_Mesa_Partes_Virtual.pdf" target="_blank" style="color: white;"><i class="fa fa-file"></i> &nbsp;Manual de Usuario</a></button>
            </ol>
           <!--  <ol class="float-sm-right">
                <button class="btn btn-danger btn-sm" style="width: 100%;" onclick="nueva_busqueda()"><i class="fa fa-play"><a href="./Vista/documento/archivo/instructivo.mp4" target="_blank" style="color: white;"></i> &nbsp;Ver Instructivo</a></button>
            </ol> -->
          </div>
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <div class="content">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <div class="card  card-danger card-outline " >
              <div class="card-body">
                <div class="tab-content">
                  <div class="tab-pane active" id="tab_1">
                    <form autocomplete="false" id="form_registro_tramite">
                      <div class="row">
                        <div class="col-md-6">
                          <div class="card card-danger">
                            <div class="card-header" id="card-header">
                              <h3 class="card-title"><b>INGRESE SUS DATOS</b></h3>
                              <div class="card-tools">
                                  <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                  </button>
                              </div>
                            </div>
                            <div class="card-body">
                              <div class="">
                                <div class="row">

                                <div class="col-md-12 form-group">
                                  <label>Tipo Documento (*):</label>
                                  <select class="select2-danger select2" name="cmb_tipodocumento" data-dropdown-css-class="select2-danger" id="cmb_tipodocumento" style="width: 100%;">
                                  </select>
                                </div>
 
                                  <div class="col-md-6 form-group">
                                  <label>Nº Documento (*):</label>
                                  <input type="text"  class="form-control" onkeypress="return soloNroDocumento(event)" id="txt_nrodocumentos" maxlength="20" name="txt_nrodocumentos" placeholder="Ingrese nro del documento">
                                  </div>
                                <div class="col-md-6 form-group">
                                  <label>Nº Folios (*):</label>
                                  <input type="text" class="form-control" onkeypress="return soloNumeros(event)" id="txt_folios" name="txt_folios" placeholder="Ingrese nro de hojas">
                                </div>

                                  <div class="col-lg-4 form-group">
                                      <label>Nº DNI (*):</label>
                                      <input class="form-control" type="text" placeholder="Ingresar dni" maxlength="8" id="txtdni" name="txtdni" onkeypress="return soloNumeros(event)">
                                  </div>
                                  <div class="col-lg-8 form-group">
                                      <label>Nombre  (*):</label>
                                      <input class="form-control" type="text" placeholder="Ingresar nombre" maxlength="150" id="txtnombre" name="txtnombre" onkeypress="return soloLetras(event)">
                                  </div>
                                  <div class="col-lg-6 form-group">
                                      <label>Apellido Paterno  (*):</label>
                                      <input class="form-control" type="text" placeholder="Ingresar apellido paterno" maxlength="70" id="txtapepat" name="txtapepat" onkeypress="return soloLetras(event)">
                                  </div>
                                  <div class="col-lg-6 form-group">
                                      <label>Apellido Materno  (*):</label>
                                      <input class="form-control" type="text" placeholder="Ingresar apellido materno" maxlength="70" id="txtapemat" name="txtapemat" onkeypress="return soloLetras(event)">
                                  </div>
                                  <div class="col-lg-6 form-group">
                                      <label>Celular (*):</label>
                                      <input class="form-control" onkeypress="return soloNumeros(event)" type="text" placeholder="Ingresar nro de celular" maxlength="9" id="txtcelular" name="txtcelular">
                                  </div>
                                  <div class="col-lg-6 form-group">
                                      <label>Email (*):</label>
                                      <input class="form-control" onkeypress="return soloNumerosyletras(event)" type="text" placeholder="Ingresar email" maxlength="250" id="txtemail" name="txtemail">
                                  </div>
                                  <div class="col-lg-12 form-group" >
                                    <label>Direcci&oacute;n (*):</label>
                                    <input class="form-control"  type="text" placeholder="Ingresar direcci&oacute;n" id="txt_direccion" name="txt_direccion" maxlength="255" >
                                  </div>

                                   <div class="col-md-12 form-group">
                                  <label>Asunto del Tr&aacute;mite (*):</label>
                                  <textarea rows="2" name="txt_asunto" id="txt_asunto" onkeypress="return soloLetras(event)" class="form-control" style='resize: none' maxlength="255" placeholder="Asunto del documento"></textarea>
                                </div>
                                <div class="col-md-12 form-group">
                                  <label for="txt_archivo">Documento principal (pdf) (*):</label>
                                  <div class="input-group">
                                    <div class="custom-file">
                                      <input type="file" accept=".pdf,.PDF" class="custom-file-input form-control" id="txt_archivo" name="txt_archivo">
                                      <label class="custom-file-label" id="lb_archivo" for="txt_archivo">Seleccionar Archivo</label>

                                    </div>

                                  </div>
                                  <span style="color: #31708f">Se puede subir archivo en formato PDF, el tamaño Max. 10 MB.</span>
                                </div>
                                <div class="col-md-11 form-group">
                                  <label for="txt_anexos">Anexos:</label>
                                  <div class="input-group">
                                    <div class="custom-file" id="haber">
                                       <input type="text" name="nombre_archivo" id="nombre_archivo" />
                                      <input type="file" accept=".pdf,.PDF,.docx" class="custom-file-input form-control" id="archivo" name="archivo">
                                      <label class="custom-file-label" id="lb_anexos" for="txt_anexos">Seleccionar Anexo</label>
                                    </div>
                                  </div>
                                  <span style="color: #31708f" id="texto_anexo">Se puede subir archivos anexos en formato PDF,  Max. 4 anexos. (tamaño Max. 2 MB.)</span>
                                </div>
                                <div class="col-md-1 form-group">
                                  <label for="txt_archivo">&nbsp;</label>
                                  <div class="input-group">
                                    <div class="custom-file" id="boton_subir">
                                       <input type="text" style="display: none;" id="txtformato_anexo" name="txtformato_anexo">
                                      <input type="button" id="boton_subir" value="Subir" class="btn btn-success" onClick="insertarAnexos();">
                                    </div>
                                  </div>
                                </div>                                
                                <div class="col-md-6 form-group" id="tabla">
                                <table width="100%" class="table table-bordered table-hover" id="tabla_anexos">
                                    <thead>
                                      <th style="text-align: center;">#</th>
                                      <th style="text-align: center;">Archivo</th>
                                      <th>&nbsp;</th>
                                    </thead>
                                    <tbody id="listarAnexo"></tbody>
                                  </table>
                                </div>                   
                                <div class="col-md-12 form-group" id="archivos_subidos"></div>
                                  <div class="col-md-12">
                                    <div class="col-12 row">
                                       <label>En representacion de (*):</label>
                                    </div>
                                    <div class="col-12 row">
                                      <input type="text" hidden id="txt_representacion" name="txt_representacion">
                                      <div class="col-4 form-group clearfix">
                                        <div class="icheck-danger d-inline">
                                          <input type="radio" id="rad_representacion1" value="Persona Natural" name="r1" checked>
                                          <label for="rad_representacion1" style="font-size: 15px !important;font-weight: normal;"> Persona Natural </label>
                                        </div>
                                      </div>                                      
                                      <div class="col-4 form-group clearfix">
                                        <div class="icheck-success d-inline">
                                          <input type="radio" id="rad_representacion3" value="Persona Juridica" name="r1">
                                          <label for="rad_representacion3" style="font-size: 15px !important;font-weight: normal;">Persona Jur&iacute;dica</label>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                  <div id="div_juridico"  class="col-12" style="display: none;">
                                    <div class="row">
                                      <div class="col-md-4 form-group">
                                        <label>RUC (*):</label>
                                        <input type="text" id="txt_ruc" name="txt_ruc" maxlength="12"  onkeypress="return soloNumeros(event)" placeholder="Ingresar ruc" class="form-control">
                                      </div>
                                      <div class="col-md-8 form-group">
                                        <label>Instituci&oacute;n/Empresa(*):</label>
                                        <input type="text" id="txt_empresa" onkeypress="return soloNumerosyletras(event)" name="txt_empresa" placeholder="Ingresar datos de la instituci&oacute;n o empresa" class="form-control">
                                      </div>
                                    </div>
                                  </div>                              
                                <div class="col-md-12">
                                  <div class="form-group clearfix">
                                    <div class="icheck-warning d-inline" style="">
                                      <input type="checkbox" onclick="opcion_verificar()" id="checkaceptar">
                                      <label for="checkaceptar" style="text-align: justify;">
                                        Declaro que toda la información proporcionada es correcta y verídica.
                                      </label>
                                    </div>
                                  </div>
                                </div>
                                <div class="col-lg-12 form-group" style="text-align:left;font-weight:bold;color: #9B0000">
                                  Campos Obligatorios (*)
                                </div>
                                <div class="col-md-12 fom-group">
                                  <input type='text' name='postID' hidden id='postID'>
                                  <input type="text" style="display: none;" id="txtformato" name="txtformato">
                                  <a  style="cursor:pointer;color: white !important" type="button" class="btn btn-block btn-success" id="btn_subir" onclick="registrar_tramite();">&nbsp;ENVIAR</a>
                                </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                    </form>
                  </div>          
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- /.content-wrapper -->

  <!-- Control Sidebar -->

  <!-- /.control-sidebar -->

  <!-- Main Footer -->
  <footer class="main-footer">
    <!-- To the right -->
    <div class="float-right d-none d-sm-inline">
      <b>Mesa de Partes Virtual</b>
    </div>
    <!-- Default to the left -->
  <!--   <strong>Derechos Reservados <a href="https://www.facebook.com/softnetpe/" target="_blank">Softnet Solutions Pe</a>.</strong> -->
  </footer>
</div>
<!-- ./wrapper -->

<!-- REQUIRED SCRIPTS -->

<!-- jQuery -->
<script src="Vista/_Plantilla/plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="Vista/_Plantilla/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="Vista/_Plantilla/plugins/bs-custom-file-input/bs-custom-file-input.min.js"></script>

<script src="Vista/_Plantilla/dist/js/adminlte.min.js"></script>

<script src="Vista/_Plantilla/plugins/select2/js/select2.full.min.js"></script>
<script src="Vista/js/sweetalert2.js"></script>
<script src="Vista/js/console_tramite.js?rev=<?php echo time();?>"></script>

</body>
</html>
<script type="text/javascript">
  $(document).ready(function () {
    bsCustomFileInput.init();
    //buscar_orden_externo();
  });
document.getElementById('tabla').style.display = 'none';
function insertarAnexos()
 {      
    document.getElementById('tabla').style.display = 'block';
    $('#listarAnexo').append('<tr><td colspan="6" align="center"><img src="Vista/img/loading.gif" width="100px"></td></tr>');       
    var parameters = {
      archivo:  $('#archivo')[0].files[0]
    }
    var txtformato_anexo = $("#txtformato_anexo").val()
    var form_data = new FormData();
    form_data.append("archivo", $('#archivo')[0].files[0]);
    form_data.append("txtformato_anexo", txtformato_anexo);
    var items = "";
    $.ajax({
      type: 'POST',
      url: 'controlador/documento/controlador_insertarAnexoDocumento.php',
      //data: parameters,
      contentType: false,
      processData: false,
      data: form_data,
      dataType: 'json',
      success: function(s)
      {
        $.each(s,function(index,value)
        {     
          index=index+1;
        items += '<tr>'
          items += '<td style="font-size: 12px;text-align:center">'+index+'</td>'
          items += '<td align="left" style="font-size: 12px">'+value.nombre_original+'</td>'
          items += '<td align="center" style="font-size: 12px"><a class="eliminar_archivo btn btn-danger" href="javascript: void(0)" onclick="eliminarAnexos('+value.id_documento_anexo+')">Eliminar</a></td>'
          items += '</tr>'
        });

        $("#listarAnexo").html(items);
        var nFilas = $("#tabla_anexos tr").length;
        if(nFilas==5)
        {
          document.getElementById('haber').style.display = 'none';
          document.getElementById('boton_subir').style.display = 'none';
          document.getElementById('texto_anexo').style.display = 'none';
        } 
      },
      error: function(e){
        alert('Error al procesar tu respuesta!!');
      }
    });
}

function eliminarAnexos(argument)
   {    
      $('#listarAnexo').append('<tr><td colspan="6" align="center"><img src="Vista/img/loading.gif" width="100px"></td></tr>');      
    var parameters = {id_documento_anexo:argument};
    var items = "";
    $.ajax({
      type: 'POST',
      url: 'controlador/documento/controlador_eliminarAnexos.php',
      data: parameters,
      dataType: 'json',
      success: function(s){
        $.each(s,function(index,value)
        {         
          index=index+1;
        items += '<tr>'
          items += '<td style="font-size: 12px;text-align:center">'+index+'</td>'
          items += '<td align="left" style="font-size: 12px">'+value.nombre_original+'</td>'
          items += '<td align="center" style="font-size: 12px"><a class="eliminar_archivo btn btn-danger" href="javascript: void(0)" onclick="eliminarAnexos('+value.id_documento_anexo+')">Eliminar</a></td>'
          items += '</tr>'
        });
        $("#listarAnexo").html(items);
        var nFilas = $("#tabla_anexos tr").length;
        if(nFilas<5)
        {
          if(nFilas==1)   
            document.getElementById('tabla').style.display = 'none';
          else
          {
            document.getElementById('haber').style.display = 'block';
            document.getElementById('boton_subir').style.display = 'block';
            document.getElementById('texto_anexo').style.display = 'block';
          }
        } 
      },
      error: function(e){
        alert('Error al procesar tu respuesta!');
      }
        
    });
  }
</script>
<style type="text/css">
  a, h3, h1{
    font-weight: bold !important;
  }
</style>
<script type="text/javascript">
  $('.select2').select2();
  function soloNumerosyletrasDatapicker(e) {
     key = e.keyCode || e.which;
     tecla = String.fromCharCode(key).toLowerCase();
     letras = "0123456456789-";
     especiales = "";

     tecla_especial = false
     for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }

      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNumerosyletras(e) {
     key = e.keyCode || e.which;
     tecla = String.fromCharCode(key).toLowerCase();
     letras = " áéíóúabcdefghijklmnñopqrstuvwxyz0123456456789:/.,\@-";
     especiales = "8-37-39-46-58";

     tecla_especial = false
     for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }

      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNumeros(e){
    tecla = (document.all) ? e.keyCode : e.which;
    if (tecla==8){
        return true;
    }
    // Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
  }
  function soloLetras(e){
      key = e.keyCode || e.which;
      tecla = String.fromCharCode(key).toLowerCase();
      letras = " áéíóúabcdefghijklmnñopqrstuvwxyz";
      especiales = "8-37-39-46";
      tecla_especial = false
      for(var i in especiales){
          if(key == especiales[i]){
              tecla_especial = true;
              break;
          }
      }
      if(letras.indexOf(tecla)==-1 && !tecla_especial){
          return false;
      }
  }
  function soloNroDocumento(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = "abcdefghijklmnñopqrstuvwxyz0123456456789\@-_";
    especiales = "8-37-39-46-58";

    tecla_especial = false
    for(var i in especiales){
        if(key == especiales[i]){
            tecla_especial = true;
            break;
        }
    }
    if(letras.indexOf(tecla)==-1 && !tecla_especial){
        return false;
    }
  }
  function mantenimiento() {
    Swal.fire("Mensaje de Aviso","Opci&oacute;n en mantenimiento","info");
  }
</script>
<style>
  .btn{
    font-weight: bold;
  }
  h1{
    font-weight: bold;
  }
  small{
    font-weight: bold;
  }
  .select2{
    font-weight:bold;
    text-align-last:center;
  }
</style>
<script type="text/javascript">
  $("#cbm_anio").val("2020").trigger("change");
  traer_idunico();
  $('input[type="file"]').on('change', function()
  {
      var ext = $( this ).val().split('.').pop();
      if ($( this ).val() != '') {
      if(ext == "PDF" || ext == "pdf" || ext == "docx"|| ext == "DOCX" )
      {
          if($(this)[0].files[0].size > 2048576)
          {
            Swal.fire("El archivo selecionado es demasiado pesado","<label style='color:#9B0000;'>seleccionar un archivo mas liviano</label>","warning");
            $("#txtformato").val("");
            $("#txtformato_anexo").val("");
            $("#txt_archivo").val("");
            $("#lb_archivo").html("Seleccionar Archivo");
            return;
            //$("#btn_subir").prop("disabled",true);
          }
          else
          {
            //$("#btn_subir").attr("disabled",false);
          }
          $("#txtformato").val(ext);
          $("#txtformato_anexo").val(ext);
        }
        else
        {
          $("#txtformato").val("");
          $("#txtformato_anexo").val(ext);
          $("#txt_archivo").val("");
          $("#lb_archivo").html("Seleccionar Archivo");
          $( this ).val('');
          Swal.fire("Extensión no permitida: " + ext,"","error");
        }
      }
  });

  $('#archivo').on('change', function()
  {
      var ext = $( this ).val().split('.').pop();
      if ($( this ).val() != '') {
      if(ext == "PDF" || ext == "pdf" || ext == "docx"|| ext == "DOCX" )
      {
          if($('#archivo')[0].files[0].size > 2048576)
          {
            Swal.fire("El archivo selecionado es demasiado pesado","<label style='color:#9B0000;'>seleccionar un archivo mas liviano</label>","warning");
            $("#txtformato").val("");
            $("#txtformato_anexo").val("");
            $("#archivo").val("");
            $("#lb_archivo").html("Seleccionar Archivo");
            return;
            //$("#btn_subir").prop("disabled",true);
          }
          else
          {
            //$("#btn_subir").attr("disabled",false);
          }
          $("#txtformato").val(ext);
          $("#txtformato_anexo").val(ext);
        }
        else
        {
          $("#txtformato").val("");
          $("#txtformato_anexo").val(ext);
          $("#txt_archivo").val("");
          $("#lb_archivo").html("Seleccionar Archivo");
          $( this ).val('');
          Swal.fire("Extensión no permitida: " + ext,"","error");
        }
      }
  });
  $(".form-control").on('paste', function(e){
    e.preventDefault();
  });
  var cbm_representacion ="";
  var porrepresentacion=document.getElementsByName("r1");
  for(var i=0;i<porrepresentacion.length;i++){
      if(porrepresentacion[i].checked)
          cbm_representacion=porrepresentacion[i].value;
        //alert(cbm_representacion);
  }
  $("#txt_representacion").val(cbm_representacion);

  if (cbm_representacion==="Persona Natural") {
    document.getElementById('div_juridico').style.display = 'none';
  }
  if (cbm_representacion==="Persona Juridica") {
    document.getElementById('div_juridico').style.display = 'block';
  }
  $('#rad_representacion1').on('click', function() {
      document.getElementById('div_juridico').style.display = 'none';
      $("#txt_representacion").val("Persona Natural");
  });
  $('#rad_representacion3').on('click', function() {
      document.getElementById('div_juridico').style.display = 'block';
      $("#txt_representacion").val("Persona Juridica");
  });
  combo_tipodocumento_externo();
  opcion_verificar();
  function opcion_verificar() {
    if (document.getElementById('checkaceptar').checked==false) {
      $("#btn_subir").addClass("disabled");
    }else{
      $("#btn_subir").removeClass("disabled");
    }
  }
</script>
<style type="text/css">
  td{
    border: 2px solid black;
    word-wrap: break-word;
    text-align: justify;
  }
</style>
<style type="text/css">
  .timeline > div > div {
    margin-bottom: 15px;
    margin-right: 10px;
    position: relative;
}
  .timeline > div > .time-label > span {
    border-radius: 4px;
    background-color: #fff;
    display: inline-block;
    font-weight: 600;
    padding: 5px;
}
.timeline > div > .fa, .timeline > div > .fab, .timeline > div > .far, .timeline > div > .fas, .timeline > div > div > .fas, .timeline > div > .glyphicon, .timeline > div > .ion {
    background: #adb5bd;
        background-color: rgb(173, 181, 189);
    border-radius: 50%;
    font-size: 15px;
    height: 30px;
    left: 18px;
    line-height: 30px;
    position: absolute;
    text-align: center;
    top: 0;
    width: 30px;
}
.timeline > div > div > .timeline-item {
    box-shadow: 0 0 1px rgba(0,0,0,.125),0 1px 3px rgba(0,0,0,.2);
    border-radius: .25rem;
    background: #fff;
    color: #495057;
    margin-left: 60px;
    margin-right: 15px;
    margin-top: 0;
    padding: 0;
    position: relative;
}

.timeline > div > div > .timeline-item > .time {
    color: #999;
    float: right;
    font-size: 12px;
    padding: 10px;
}
.timeline > div >  div > .timeline-item > .timeline-header {
    border-bottom: 1px solid rgba(0,0,0,.125);
    color: #495057;
    font-size: 16px;
    line-height: 1.1;
    margin: 0;
    padding: 10px;
}
.timeline > div > div > .timeline-item > .timeline-body, .timeline > div > .timeline-item > .timeline-footer {
    padding: 10px;
}
.timeline > div > div > .timeline-item > .timeline-body, .timeline > div > .timeline-item > .timeline-footer {
    padding: 10px;
}
</style>
<div id="div_progress">
  <div class="modal fade bs-example-modal-lg" id="modal_procesar_datos_2">
    <div class="modal-dialog modal-lg modal-dialog-centered"  style="width: 75%">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="myModalLabel"><i class="fa fa-clock-o"></i> ESPERE UNOS MOMENTOS PORFAVOR: LOS DATOS SE ESTAN PROCESANDO.</h4>
        </div>
        <div class="modal-body center-block"> 
          <div id="div_cadena_progress"></div>       
        </div>
      </div>
    </div>
  </div>
</div>